<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div id="app">
		<ul>
			<p v-for="(comment, key) in comments">
				<button @click="valuePlus(key)">+</button><br>
				<span>{{ comment.komen }} || {{ comment.tgl }} || Score : {{ comment.skor }}</span><br>
				<button @click="valueMinus(key)">-</button><br><br>
            </p>
		</ul>
		<textarea cols="60" rows="10" v-model="komenArea" @keyup.enter="enterPressed"></textarea><br>
	</div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        var vm = new Vue({
            el: '#app',
            data: {
                komenArea: '',
                tanggal: '29-07-2020',
                nilai: 0,
                bool: [null, null, null],
                comments: [
                    {komen: 'komentar 1 komentar 1 komentar 1', tgl: '29-07-2020', skor: 0},
                    {komen: 'komentar 2 komentar 2 komentar 2', tgl: '28-07-2020', skor: 5},
                    {komen: 'komentar 3 komentar 3 komentar 3', tgl: '27-07-2020', skor: 5}
                ]
            },
            methods: {
                enterPressed: function () {
                    this.comments.push({"komen":this.komenArea,"tgl":this.tanggal,"skor":this.nilai});
                    this.bool.push(null);
                    this.komenArea = '';
                },
                valuePlus: function (index) {
                    if (this.bool[index] == null) {
                        this.comments[index]["skor"]++;
                        this.bool[index] = true;
                    } else if (this.bool[index] == false) {
                        this.comments[index]["skor"] += 2;
                        this.bool[index] = true;
                    } else if (this.bool[index] == true) {
                        this.comments[index]["skor"] --;
                        this.bool[index] = null;
                    }
                },
                valueMinus: function (index) {
                    if (this.bool[index] == null) {
                        this.comments[index]["skor"]--;
                        this.bool[index] = false;
                    } else if (this.bool[index] == true) {
                        this.comments[index]["skor"] -= 2;
                        this.bool[index] = false;
                    } else if (this.bool[index] == false) {
                        this.comments[index]["skor"] ++;
                        this.bool[index] = null;
                    }
                }
            }
        })
    </script>
</body>
</html>